## org.metaabm.ide
Class CustomMetaABMModelWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.metaabm.ide.CustomMetaABMModelWizard

All Implemented Interfaces:
  org.eclipse.jface.wizard.IWizard, org.eclipse.ui.INewWizard, org.eclipse.ui.IWorkbenchWizard

    public class CustomMetaABMModelWizard

extends org.eclipse.jface.wizard.Wizard
implements org.eclipse.ui.INewWizard

This is a simple wizard for creating a new model file.

Field Summary
`static java.lang.String` `copyright`

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`CustomMetaABMModelWizard()`

Method Summary
`void` `addPages()` The framework calls this to create the contents of the wizard.
`java.lang.String` `getDefaultBaseDir()`
`org.eclipse.core.resources.IFile` `getModelFile()` Get the file from the page.
`void` `init(org.eclipse.ui.IWorkbench workbench, org.eclipse.jface.viewers.IStructuredSelection selection)` This just records the information.
`boolean` `performFinish()` Do the work after everything is specified.

Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Constructor Detail

### CustomMetaABMModelWizard

    public CustomMetaABMModelWizard()

Method Detail

### init

    public void init(org.eclipse.ui.IWorkbench workbench,
                     org.eclipse.jface.viewers.IStructuredSelection selection)

  This just records the information.

  Specified by:
    `init` in interface `org.eclipse.ui.IWorkbenchWizard`

### performFinish

    public boolean performFinish()

  Do the work after everything is specified.

  Specified by:
    `performFinish` in interface `org.eclipse.jface.wizard.IWizard`
  Specified by:
    `performFinish` in class `org.eclipse.jface.wizard.Wizard`

### addPages

    public void addPages()

  The framework calls this to create the contents of the wizard.

  Specified by:
    `addPages` in interface `org.eclipse.jface.wizard.IWizard`
  Overrides:
    `addPages` in class `org.eclipse.jface.wizard.Wizard`

### getDefaultBaseDir

    public java.lang.String getDefaultBaseDir()

### getModelFile

    public org.eclipse.core.resources.IFile getModelFile()

  Get the file from the page.